﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Globalization;
using System.Threading;

namespace howto_initialize_textbox
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Set initial TextBox values.
        private void Form1_Load(object sender, EventArgs e)
        {
            // Uncomment to test for a German locale.
            //CultureInfo culture_info = new CultureInfo("DE-de");
            //Thread.CurrentThread.CurrentCulture = culture_info;

            // Set the TextBox values.
            txtFloat.Text = (3.14).ToString();
            txtCurrency.Text = (13.37).ToString("C");
            txtDate.Text = DateTime.Today.ToShortDateString();
            txtTime.Text = DateTime.Now.ToShortTimeString();
        }

        // Parse the values.
        private void btnParse_Click(object sender, EventArgs e)
        {
            float number = float.Parse(txtFloat.Text);
            decimal currency = decimal.Parse(txtCurrency.Text, NumberStyles.Any);
            DateTime date = DateTime.Parse(txtDate.Text);
            DateTime time = DateTime.Parse(txtTime.Text);

            Console.WriteLine(number);
            Console.WriteLine(currency.ToString("C"));
            Console.WriteLine(date.ToShortDateString());
            Console.WriteLine(time.ToShortTimeString());
        }
    }
}
